
    
      
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 

<html>
<head>

  <script src="http://www.bloodspell.com/javascripts/prototype.js?1158599751" type="text/javascript"></script>   

<link rel="shortcut icon" href="http://www.bloodspell.com/favicon.png" >
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-1', 'auto');
  ga('send', 'pageview');

</script>
  <link rel="alternate" type="application/rss+xml" title="BloodSpell Development Blog : RSS protocol" href="https://community.livejournal.com/bloodspell/data/rss" />
  <link rel="alternate" type="application/atom+xml" title="BloodSpell Development Blog : Atom protocol" href="https://community.livejournal.com/bloodspell/data/atom" />
  
  <link href="http://bloodspell.com/film/vidcast/democracy" rel="alternate" title="BloodSpell Episodes : Quicktime format, DVD quality" type="application/rss+xml" /> 
  <link href="http://bloodspell.com/film/vidcast/quicktime/small" rel="alternate" title="BloodSpell Episodes : Quicktime format, VHS quality" type="application/rss+xml" /> 
  <link href="http://bloodspell.com/film/vidcast/xvid/large" rel="alternate" title="BloodSpell Episodes : XVid format, DVD quality" type="application/rss+xml" /> 
  <link href="http://bloodspell.com/film/vidcast/xvid/small" rel="alternate" title="BloodSpell Episodes : XVid format, VHS quality" type="application/rss+xml" /> 
  <link href="http://bloodspell.com/film/vidcast/wmv/large" rel="alternate" title="BloodSpell Episodes : Windows Media format, DVD quality" type="application/rss+xml" /> 
  <link href="http://bloodspell.com/film/vidcast/wmv/small" rel="alternate" title="BloodSpell Episodes : Windows Media format, VHS quality" type="application/rss+xml" /> 
            
  
  <link href="../stylesheets/fonts.css%3F1159898854.css" media="all" rel="Stylesheet" type="text/css" />
  <link href="../stylesheets/general.css%3F1160658976.css" media="all" rel="Stylesheet" type="text/css" />


</head>




<body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
  <div id="container">
    <div id="header">
      <div class="menuleft menu">
      	<a href="../news.html">News</a>
      	<a href="../posts/list.html">Comment</a>
      	<a href="../index.html">About</a>
      	<a href="press.html">Press</a>
      	<span style="word-spacing: 1px">
      	<a href="../commons.html">Creative Commons</a>
      </div>
      <div class="menuright menu">
      	<a href="../film/list.html">Watch</a>
      	<a href="articles.html">Articles</a>
      	<span style="word-spacing: 1px">
      	<a href="../castcrew.html">Cast and Crew</a>
      	&nbsp;
      	<a href="../bands.html">Soundtrack</a>
      	&nbsp;
      	<a href="../contact.html">Contact</a>
      	</span>
      </div>
    
    </div><!-- div:header -->
  
    <div id="left">
    
    <!-- Watch button -->
    <a href="../film/list.html" id="watch_button" title="Watch BloodSpell for free now!"></a>          
    
      <!--First random image-->
      <img src="../images/screens/thumbs/promo7.jpg" width="110" height="80" />     
      <br /><br />
      
    <!-- Subscribe button -->
    <a href="http://www.bloodspell.com/feeds/service.wsdl" id="subscribe_button" title="Subscribe to the BloodSpell news and download feeds"></a>
    
      <!--- Start of Democracy 1-click-subscribe button --->
      <a href="http://subscribe.getdemocracy.com/?url1=http%3A//bloodspell.com/film/vidcast/democracy" 
           title="Subscribe to BloodSpell using the Democracy Internet TV program">
           <img alt="Democracy: Internet TV" border="0" height="40" src="../images/v2/democracy_button.gif%3F1159898854" width="110" /> 
      </a>
      <!--- End of Democracy 1-click-subscribe button --->       
      
      <br />
      <!--Second random image-->      
      <img src="../images/screens/thumbs/Act3-2-124.jpg" width="110" height="80" />      
      <!-- br1 --><br /><!-- br2 --><br /><!-- br3 --><br />
    
      <!-- Quotes from significant people -->
	<p>If you're interested in following what else Hugh Hancock and the BloodSpell team are doing, check out: </p>
	<p><a href="http://www.deathknightlovestory.com">Death Knight Love Story</a> <br /> the new film from Strange Company
	<p><a href="http://www.mmomeltingpot.com">MMO Melting Pot</a> <br />the best of the MMO blogosphere
      

    
    </div><!-- div:left -->
    
    <div id="content">
    
         <div id="breadcrumb"><a href="../index.html">Home</a>->Press</div>

<br /><h2>BloodSpell Press</h2>

<p>We've been lucky enough to garner quite a bit of press attention over the past few years - here are all the articles and comments we know of! </p>

<p>If you're looking for materials you can use in an article, head right on over to our <a href="http://www.bloodspell.com/PR">Press Release</a> and our <a href="http://www.bloodspell.com/images/PR">Print and Web-Ready Images</a>

<h4>Press Articles</h4>
<ul>
<li><a href="http://technology.guardian.co.uk/online/story/0,,1550781,00.html">The Making Of Machinima</a> (The Guardian) 
<li><a href="https://en.wikipedia.org/wiki/BloodSpell">BloodSpell on Wikipedia</a>
<li><a href="https://boingboing.net/2006/04/28/part_one_of_machinim.html">BloodSpell on Boingboing.net</a> and <a href="https://boingboing.net/2006/05/10/machinima_epic_blood.html">More BoingBoing.net</a>
<li><a href="https://boingboing.net/2006/08/02/funny_pisstake_on_br.html">BoingBoing on our MPAA/FACT pisstake</a>. 
<li><a href="http://nwn.bioware.com/players/profile_bloodspell_film.html">Profile of BloodSpell</a> on Bioware.com - interview with Hugh on the release. 
<li><a href="http://nwn.bioware.com/players/profile_bloodspell.html">WIP report on BloodSpell</a> at Bioware.com
<li><a href="http://nwn.bioware.com/players/profile_makingof_bloodspell_p1.html">The Making of BloodSpell part 1</a>, <a href="http://nwn.bioware.com/players/profile_makingof_bloodspell_p2.html">part 2</a>, <a href="http://nwn.bioware.com/players/profile_makingof_bloodspell_p3.html">part 3</a> at Bioware.com - interviews with the crew.
<li><a href="http://www.gulli.com/news/bloodspell-des-machinima-2006-04-28/">Des Machinima-Filmepos erster Teil zum freien Download</a> on Gulli.com
<li><a href="http://www.netzwelt.de/news/74302-bloodspell-abend-fuellender-fantasyfilm-in.html">BloodSpell: Abend füllender Fantasy-Film in Spielegrafik</a> on Netzwelt.de</a>
<li><a href="https://suicidegirls.com/news/geek/15444/">BloodSpell on SuicideGirls</a> (boy, were we pleased about this one!) 
<li><a href="http://www.urlwire.com/news/063006.html">BloodSpell on URLWire</a>
<li><a href="http://blogs.usatoday.com/techspace/2006/04/index.html">Great big group project</a> - BloodSpell on USAToday's TechSpace blog
<li><a href="https://nwvault.ign.com/fullstory.php?id=17186">BloodSpell Spotlight</a> on NWVault
<li><a href="https://www.google.co.uk/search?as_q=bloodspell&num=10&hs=Jnr&hl=en&client=firefox-a&rls=org.mozilla%3Aen-US%3Aofficial&btnG=Google+Search&as_epq=&as_oq=&as_eq=&lr=&as_ft=i&as_filetype=&as_qdr=all&as_occt=any&as_dt=i&as_sitesearch=3dfilmmaker.com&as_rights=&safe=images">Numerous articles on BloodSpell</a> over at 3dFilmmaker</a>
<li><a href="http://www.openbusiness.cc/2006/05/25/bloodspell-a-creative-commons-distributed-animated-series/">BloodSpell on OpenBusiness.cc</a>
<li><a href="http://www.machinima.org/paul_blog/2006/06/propping-up-some-successes_21.html">Propping Up Some Successes</a> on Paul Marino's blog
<li><a href="https://www.netzpolitik.org/2006/bloodspell-machinima-animationsfilm-unter-cc/">BloodSpell: Machinima-Animationsfilm unter CC</a> on Netzpolitik.de
<li><a href="http://www.4rfv.co.uk/industrynews.asp?ID=53079">Indie fantasy movie 'Bloodspell' released</a> on Regional Film and Video
<li><a href="http://www.gamesetwatch.com/2006/04/bloodspell_machinima_goth_funk.php">BloodSpell Machinima Goth Funks It Up</a> on GameSetWatch
<li><a href="http://www.creativematch.co.uk/viewNews/?92544">Profile of Hugh</a> and <a href="http://www.creativematch.co.uk/viewNews/?92530">BloodSpell writeup</a>
<li><a href="http://www.filmmakermagazine.com/blog/2006/07/making-machinima.php">Making Machinima</a> on Filmmaker Magazine's blog
<li><a href="http://www.rpg.net/reviews/archive/12/12316.phtml">Review of BloodSpell</a> over at RPG.net
<li><a href="http://www.machinimalive.com/cms/index.php?option=com_content&task=view&id=61&Itemid=49">BloodSpell reviews</a> on Episodes 8 and 9 of Machinima Live.
<li><a href="http://scifi.uk.com/2006/08/13/bloodspell-episode-1/">Review of BloodSpell Episode 1</a> on SciFi UK. 
<li><a href="http://www.arsgeek.com/?p=435">Part 1</a>, <a href="http://www.arsgeek.com/?p=439">Part 2</a> and <a href="http://www.arsgeek.com/?p=452">Part 3</a> of ArsGeek's HOW-TO on burning BloodSpell to DVD. 
<li><a href="http://gaygamer.net/index.php?id=380">BloodSpell - The Machinima You Wish You Could Make</a> on GayGamer.net
<li><a href="http://forbiddenplanet.co.uk/blog/?p=1358">BloodSpell on the Forbidden Planet blog</a>
<li><a href="https://anurbanfantasy.blogspot.com/2006/08/popcorn-on-standby.html">Author Alan Campbell</a> on BloodSpell. 
<li><a href="https://theenglishassassin.wordpress.com/2006/07/25/bloodspell-episodes-1-6-2006-written-and-directed-by-hugh-hancock-strange-company/">Review of BloodSpell Ep 1-6</a> on The English Assassin and <a href="https://theenglishassassin.wordpress.com/2006/09/16/bloodspell-episodes-7-8-2006-written-and-directed-by-hugh-hancock-strange-company/">follow-up review of Ep 7 and 8</a>. 
<li><a href="http://theovercast.com/2006/07/23/overcast-008/">BloodSpell: Bigger Than Jesus</a>, according to The Overcast.
<li>The Leipzig Controversy: <a href="https://boingboing.net/2006/08/21/bloodspell_censored_.html">BoingBoing</a>, <a href="http://www.costik.com/weblog/">Greg Costikyan</a>, <a href="https://www.bluesnews.com/cgi-bin/viewpost.pl/70182">Blue's News</a>, <a href="http://3dfilmmaker.com/2006/08/stand-up-get-up-stand-up-for-your.html">3D Filmmaker</a>, <a href="http://www.yigg.de/4814_BloodSpell_von_GamesConvention_zensiert">Yigg.de</a>, <a href="http://xirdal.lmu.de/cgi-bin/blosxom.cgi/2006/08/23#censorships_bloody_spell">Xirdalium</a>, <a href="http://digg.com/gaming_news/Leipzig_bans_Machinima_film_for_violence">Digg</a>, <a href="http://www.mprem.com/e107/comment.php?comment.news.304">Machinima Premiere</a> (oddly, Machinima.com didn't report), <a href="http://www.sorcerers.net/index.php#002135">Sorcerer's Place</a>, and more. 
<li>The Daily Telegraph <a href="https://www.telegraph.co.uk/arts/main.jhtml?xml=/arts/2006/09/20/bfanim20.xml">on BloodSpell</a>
<li>Animation World Network <a href="http://news.awn.com/index.php?ltype=cat&category1=Internet+and+Interactive&newsitem_no=17341">on BloodSpell's release</a></li>
<li>BloodSpell Episode 8 reviewed on, er, <a href="http://jmd-media.com/MachRev/">The Machinima Review</a>.</li>
<li>Hugh and BloodSpell are quoted and referenced, respectively, in <a href="http://www.escapistmagazine.com/issue/68/15">The Escapist</a></li>
<li>We were featured on Creativecommons.org, although I seem to have lost the link.</li>
<li>Ricky Grove writes a retrospective on the work of Phil Rice, BloodSpell sound designer and Machinima genius, including quite a bit <a href="http://www.mprem.com/e107/e107_plugins/content/content.php?content.329.8">on BloodSpell</a>.</li>
<li>3D Filmmaker on <a href="http://3dfilmmaker.com/2006/11/sunday-night-machinima.html">Episodes 12 and 13</a>.</li>
<li>iCommons talked about us in their <a href="http://icommons.org/2006/12/04/got-popcorn/">round-up of Creative Commons feature films</a>. </li>
<li>We got <a href="http://www.digg.com/movies/You_can_make_an_epic_feature_film_in_your_bedroom_These_guys_did">Dugg</a>. 
<li>Regarde.org also <a href="http://www.regarde.org/blog/2006/12/12/machinimas/la-saga-bloodspell-prend-fin/">said some very nice things</a> that I can nearly understand.</li>
<li>Belligerati described us as <a href="http://www.belligerati.net/archives/2006/12/machinima_worth.html">Machinima Worth Watching</a> </li>
<li>Gulli wrote up a piece on us, which has <a href="http://www.gulli.com/news/bloodspell-machinima-epos-nach-2006-12-11/">been very popular</a>. </li>
<li>Cory at BoingBoing wrote up our <a href="https://boingboing.net/2006/12/11/machinima_epic_blood.html">final episode</a>, describing now as "the perfect time" to watch BloodSpell. Thanks, Cory!</li>
<li>SimonC over at GameSetWatch reported that <a href="http://www.gamesetwatch.com/2006/12/bloodspell_machinima_spatters.php">BloodSpell has splattered to an end</a>.</li>
<li>Joe Gordon at Forbidden Planet <a href="http://forbiddenplanet.co.uk/blog/?p=2193">reported on our final ep</a> - and I'll get round to that interview soon, Joe, I promise!</li>
<li>And the final episode is reviewed (and very nice things said) in the latest episode of <a href="http://jmd-media.com/MachRev/files/MachRev06.wmv">The Machinima Review</a>. </li>
<li>BloodSpell on the <a href="http://neverwinternightspodcast.com/?p=23">Neverwinter Nights Podcast</a></li>
<li>French blogger Pickiboon <a href="http://pickiboon.vox.com/library/post/bloodspell-une-s%C3%A9rie-en-3d-totally-free.html">raved about BloodSpell</a>.</li>
<li>Matt "Swarm of Angels" Hanson said some very nice things about us over at <a href="http://www.eternalgaze.net/2006/12/bloodspell-casts-machinima-in-new-light/">Eternal Gaze</a>. </li>
<li>BloodSpell on Italian site <a href="http://www.cinetma.org/?p=1">Cinetma.org</a>. </li>
<li>Ben King, writer for More Four, <a href="http://www.benking.co.uk/blog/?p=117">introduces Machinima</a> with BloodSpell as his top example.</li>
<li><a href="http://www.channel4.com/blogs/page/more4news?entry=a_new_kind_of_animation">Channel 4's More Four</a> features BloodSpell.</li>
<li>Free Pixel talks about cultural influences in Machinima, <a href="http://gtmachinimablog.lcc.gatech.edu/?p=6">citing BloodSpell</a>. </li>
<li>Hrej.cz <a href="http://www.hrej.cz/clanky/tema/machinima-virtualni-filmarina/">on BloodSpell</a>.</li>
<li>The infamous <a href="http://theovercast.com/overcast-016a/">drunken Overcast podcast</a>, this being Part 1 discussing BloodSpell. </li>
<li>WowInsider <a href="http://www.wowinsider.com/2007/10/09/wow-insider-interview-hugh-hancock-and-johnnie-ingram-from-stra/">interview with Johnnie and Hugh</a> talking about BloodSpell, Machinima for Dummies and more.</li>
<li><a href="http://news.bbc.co.uk/1/hi/technology/7045018.stm">BBC.co.uk article on Machinima</a> for the Machinima Europe festival including a pretty extensive mention of BloodSpell</li>
<li><a href="https://www.bbc.co.uk/radio/podcasts/digitalp/">Digital Planet Podcast</a> including an interview with Hugh and Johnnie.</li>
</ul>

<h4>Other Offline Press</h4>

<UL>
<LI>CNN Europe, September 2005</li>
<li>The List Edinburgh, September 2005</li>
<li>Radio Cafe, BBC Radio, May 2005</li>
<li>SFX Magazine, June 2006</li>
<li>Hi-Tech Scotland, August 2006</li>
<li>PC Plus Magazine, September 2006</li>
<li>Imagine Magazine, September 2006</li>
<li>The Daily Telegraph, September 2006</li>
<li>Digital Planet, BBC World Service, October 2007</li>

</ul>


<h4>Shows and Appearances</h4>

<UL>
<LI>Cameo Edinburgh, October 2005</li>
<li>Bradford Animation Festival, November 2005</li>
<li>Machinima Film Festival, November 2005</li>
<li>FMX, May 2006 (<a href="http://www.machinimalive.com/cms/index.php?option=com_content&task=view&id=142&Itemid=32">Audioblog</a>)
<li>Edinburgh Interactive Entertainment Festival, August 2006</li>
<li>RvBTO, Toronto, August 2006</li>
<li>Leipzig Games Conference, August 2006</li>
<li>Medienwoche Berlin, August 2006</li>
<li>Spectrum Festival, Edinburgh, October 2006</li>
<li>Savannah Film Festival, November 2006</li>
<li>Bitfilm Festival, Hamburg, November 2006</li>
<li>Machinima Film Festival, New York, November 2006</li>
<li>Brazilian International Free Software Forum, April 2007</li>
<li>Art In Games at Abertay University, May 2007</li>
<li>Pompidou Center, Paris, May 2007</li>
<li>Annecy International Animated Film Festival, June 2007</li>
<li>SiliCon San Jose, October 2007</li>
<li>Machinima Europe Festival,  Leicester, October 2007</li>
<li>Arcadia, Montreal,November 2007</li>
<li>Glasgow Games Society Convention, February 2008</li> 
</ul>

<h4>Awards and nominations</h4>

<UL>
<li>Nomination: Best Machinima Movie - <a href="http://www.gameshadow.com/awards/">GameShadow Innovation In Games Awards</a></li>
<li>Nominations: Best Series, Best Technical Achievement - <a href="http://festival.machinima.org">Machinima Film Festival 2006</a></li>
<LI>Best Machinima July 2006 - <a href="http://www.sims99.com">Sims 99</a></li>
<li>Movie of the Month, July 2006 - <a href="http://www.mprem.com">Machinima Premiere</a></li>
<li>Movie of the Month, August 2006 - <a href="http://www.mprem.com">Machinima Premiere</a></li>
<li>Movie of the Month, October 2006 - <a href="http://www.mprem.com">Machinima Premiere</a></li>
<li>Movie of the Month, December 2006 - <a href="http://www.mprem.com">Machinima Premiere</a></li>
<li>Movie of the Season, Q4 2006 - <a href="http://www.mprem.com">Machinima Premiere</a></li>
<li>Movie of the Year (Bronze), 2006-2007 - <a href="http://www.mprem.com">Machinima Premiere</a></li>
<li>Nominations: Best Series, Best Technical Achievement - <a href="http://www.machinimaeurope.com">Machinima Europe</a></li>
<li>Gold Medal Winner, Best Technical Achievement, <a href="http://www.mprem.com/omf/page.php?40">Online Machinima Film Festival 2007</a>.</li>
<li>Gold Medal Winner, Best Custom Content, <a href="http://www.mprem.com/omf/page.php?40">Online Machinima Film Festival 2007</a>.</li>
<li>Silver Medal Winner, Best Series, <a href="http://www.mprem.com/omf/page.php?40">Online Machinima Film Festival 2007</a>.</li>

</ul>

    
    </div>
  
  
  
  
  </div><!-- div:container -->
    
  </body>
</html>

